package validator

import (
	"github.com/go-playground/validator/v10"
)

const (
	GEO_LOCATION          = "geolocation"
	CONNECTED_CAR_FEATURE = "connected_car_feature"
	NAV_LOCATION_DATA     = "navlocation_data"
	ACCEPTED              = "ACCEPTED"
	DECLINED              = "DECLINED"
)

func validateUserConsentName(fl validator.FieldLevel) bool {
	s := fl.Field().String()

	return s == GEO_LOCATION || s == CONNECTED_CAR_FEATURE || s == NAV_LOCATION_DATA
}
